---
id: community-learning-resources
title: Community Learning Resources
original_id: community-learning-resources
---
## Relay Modern Learning Blog Posts Thread on Twitter

[twitter.com/sseraphini/status/1078595758801203202](https://twitter.com/sseraphini/status/1078595758801203202)

## Relay examples - common patterns explained via code and videos

[github.com/kiwicom/relay-example](https://github.com/kiwicom/relay-example)

# Basics

## Relay Modern: What is a fragment?

Basic explanation of what is a fragment and what it is used for
[medium.com/@sibelius/relay-modern-what-is-a-fragment-c70f164c2469](https://medium.com/@sibelius/relay-modern-what-is-a-fragment-c70f164c2469)

## Relay Modern anti-pattern

What you should avoid doing when using Relay concepts
[medium.com/entria/relay-apollo-anti-pattern-d9f4dea47738](https://medium.com/entria/relay-apollo-anti-pattern-d9f4dea47738)

## Relay Modern is just getting better

Some insights of how Relay Modern has improved a lot since Relay Classic
[medium.com/entria/relay-is-just-getting-better-54112ffc1a9e](https://medium.com/entria/relay-is-just-getting-better-54112ffc1a9e)

## Relay Modern: @argumentDefinitions

How to use @argumentsDefinitions to define local variables to your fragments
[medium.com/entria/relay-modern-argumentdefinitions-d53769dbb95d](https://medium.com/entria/relay-modern-argumentdefinitions-d53769dbb95d)

## Relay Modern: How to paginate using a Refetch Container

You can use a refetch container to paginate as well, just use renderVariables correctly
[medium.com/entria/relay-modern-pagination-using-refetch-container-editing-a07c6b33ae4e](https://medium.com/entria/relay-modern-pagination-using-refetch-container-editing-a07c6b33ae4e)

# Relay Store

## Relay Modern: the Relay Store

How Relay Modern stores your data
[medium.com/@sibelius/relay-modern-the-relay-store-8984cd148798](https://medium.com/@sibelius/relay-modern-the-relay-store-8984cd148798)

## Relay Modern: Deep Dive of Updater Relay Store function

How to update your store properly after a mutation or subscription
[medium.com/entria/wrangling-the-client-store-with-the-relay-modern-updater-function-5c32149a71ac](https://medium.com/entria/wrangling-the-client-store-with-the-relay-modern-updater-function-5c32149a71ac)

## Relay Modern: Optimistic Update

How to update your UI before server responds.
[medium.com/entria/relay-modern-optimistic-update-a09ba22d83c9](https://medium.com/entria/relay-modern-optimistic-update-a09ba22d83c9)

## Relay Modern: Local State Management, part 1

How to create a controlled input using Relay.
[babangsund.com/relay_local_state_management/](https://babangsund.com/relay_local_state_management/)

## Relay Modern: Local State Management, part 2

How to manage global state and localStorage persistence on the client, using Relay.
[babangsund.com/relay_local_state_management_2/](https://babangsund.com/relay_local_state_management_2/)

## Relay Modern: Local State Management, part 3

Using LocalQueryRenderer and local state to manage nested fragments.
[babangsund.com/relay_local_state_management_3/](https://babangsund.com/relay_local_state_management_3/)

# Network Layer

## Relay Modern: Network Deep Dive

How to incrementally improve your network layer to manage complex data fetching requirements
[medium.com/entria/relay-modern-network-deep-dive-ec187629dfd3](https://medium.com/entria/relay-modern-network-deep-dive-ec187629dfd3)

# Configuration

## Relay Modern with TypeScript

How to configure Relay Modern to make it with TypeScript
[medium.com/@sibelius/relay-modern-migration-to-typescript-c26ab0ee749c](https://medium.com/@sibelius/relay-modern-migration-to-typescript-c26ab0ee749c)
